Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027726
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2014-10-01 18:112014-10-13 13:52
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRR14Q4
StatusclosedFix in branchFixed in SCM revision42fbf463fb9c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - QA Approved
Regression date2014-04-16
Regression introduced in releaseRR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6c9232343173 [^]
Triggers an Emergency PackNo
Summary

0027726: When the POS sends an order, it includes the image data in the JSON sent to the backend

DescriptionRight now, the image information of the products is being included in the JSON finally sent to the backend. This is wrong.
Steps To ReproduceCreate an order and complete it in the Web POS. Check with the Chrome developer tools that the image information is being sent as part of the request to the backend.
Proposed SolutionThis problem is a regression which was caused by the refactor of the data synchronization tasks, which was included in Q3. As part of this refactor, some code which was responsible of removing image information, and other redundant things such as the undo information, is no longer being called when the JSON information is generated when building the request.

This logic should be called again, probably as part of the dataordersave.js functions which prepare the order to be sent.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0070754)
hgbot (developer)
2014-10-07 00:11

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 1f105c08f2eedf3e3e521f1813ec5f9686a15ed8
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Oct 07 00:11:26 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1f105c08f2eedf3e3e521f1813ec5f9686a15ed8 [^]

Fixes issue 27726: When the POS sends an order, it includes the image data in the JSON sent to the backend
Use the order model serializeToJSON when creating the json property to be send to the server

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0070755)
mtaal (manager)
2014-10-07 00:14

To review the issue, before applying the fix:
- create a ticket with a product with an image
- check the json which is being sent to the server, it will include a product within each line and within the product there is the img json property

Apply the patch
- see that no img tag is sent to the server
(0070863)
marvintm (developer)
2014-10-10 11:35

There is a problem after the fix. Part of the logic in the serializeToJSON method had been copied into the dataordersave.js file, so now it is being executed twice, so returns currently have their payments set as positive and not negative. This needs to be changed, so this duplicated logic needs to be removed.
(0070864)
hgbot (developer)
2014-10-10 11:35

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d671ae30304fc12365e08cba81c70d7a511aec98
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Oct 10 11:35:26 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d671ae30304fc12365e08cba81c70d7a511aec98 [^]

Related to issue 27726. Formatted code.

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0070865)
hgbot (developer)
2014-10-10 11:36

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 42fbf463fb9ca9454b88e5aa30754f963b3abd1e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Oct 10 11:36:23 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/42fbf463fb9ca9454b88e5aa30754f963b3abd1e [^]

Fixed issue 27726. Removed duplicated logic, which is now being executed inside the serializeToJSON code

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0070875)
hgbot (developer)
2014-10-10 14:05

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: debc848c47a6cd199a30c95fae99167c83df642d
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Oct 10 14:04:57 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/debc848c47a6cd199a30c95fae99167c83df642d [^]

Related to issue 27726. Moved payment adjustment for returns from serializeToJson to OrderSave

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2014-10-01 18:11 marvintm New Issue
2014-10-01 18:11 marvintm Assigned To => marvintm
2014-10-01 18:11 marvintm Regression level => Production - QA Approved
2014-10-01 18:11 marvintm Regression date => 2014-04-16
2014-10-01 18:11 marvintm Regression introduced in release => RR14Q3
2014-10-01 18:11 marvintm Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6c9232343173 [^]
2014-10-01 18:11 marvintm Triggers an Emergency Pack => No
2014-10-02 07:39 alostale Tag Attached: Performance
2014-10-02 07:40 alostale Issue Monitored: alostale
2014-10-07 00:11 hgbot Checkin
2014-10-07 00:11 hgbot Note Added: 0070754
2014-10-07 00:11 hgbot Status new => resolved
2014-10-07 00:11 hgbot Resolution open => fixed
2014-10-07 00:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1f105c08f2eedf3e3e521f1813ec5f9686a15ed8 [^]
2014-10-07 00:14 mtaal Note Added: 0070755
2014-10-10 11:35 marvintm Note Added: 0070863
2014-10-10 11:35 marvintm Status resolved => new
2014-10-10 11:35 marvintm Resolution fixed => open
2014-10-10 11:35 hgbot Checkin
2014-10-10 11:35 hgbot Note Added: 0070864
2014-10-10 11:36 hgbot Checkin
2014-10-10 11:36 hgbot Note Added: 0070865
2014-10-10 11:36 hgbot Status new => resolved
2014-10-10 11:36 hgbot Resolution open => fixed
2014-10-10 11:36 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1f105c08f2eedf3e3e521f1813ec5f9686a15ed8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/42fbf463fb9ca9454b88e5aa30754f963b3abd1e [^]
2014-10-10 14:05 hgbot Checkin
2014-10-10 14:05 hgbot Note Added: 0070875
2014-10-13 13:52 marvintm Review Assigned To => marvintm
2014-10-13 13:52 marvintm Status resolved => closed
2014-10-13 13:52 marvintm Fixed in Version => RR14Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker